package cpcns.tool.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.tushuziliao.service.ITuShuZiLiaoService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.tool.service.IModifyTableService;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import cpcns.utils.tool;
import cpcns.wenjianshouji.util.FileUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;
import org.springframework.web.servlet.ModelAndView;

@RequestMapping({"/modifyTableController"})
@Controller
public class ModifyTableController extends commonController {
  @Autowired
  private IModifyTableService modifyTableServiceImpl;
  
  @Autowired
  private ITuShuZiLiaoService tuShuZiLiaoService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  public static String FILE_UPLOAD_PATH = AppConfiguration.getConfigValue("OAUploadPath");
  
  public static String FILE_STORE_PATH = AppConfiguration.getConfigValue("OACaiJiPath");
  
  @RequestMapping({"/toCreatTable.do"})
  public String toCreatTable(HttpServletRequest request, Model model) {
    return "tool/creatTable";
  }
  
  @RequestMapping({"/zhiWen.do"})
  public String zhiWen(HttpServletRequest request, Model model) {
    return "tool/websFpDemo";
  }
  
  @RequestMapping({"/save.do"})
  public void save(HttpServletRequest request, HttpServletResponse response) {
    String tableName = request.getParameter("tableName");
    String fileds = request.getParameter("fileds");
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (StringUtils.isBlank(tableName)) {
        rm.setSuccess(false);
        info = "请输入表名！";
      } else if (StringUtils.isBlank(fileds)) {
        rm.setSuccess(false);
        info = "请添加表字段！";
      } else {
        String jiguo = this.modifyTableServiceImpl.creatTable(request);
        if ("-2".equals(jiguo)) {
          rm.setSuccess(false);
          info = "名称已由现有对象使用！";
        } else if ("-1".equals(jiguo)) {
          rm.setSuccess(false);
          info = "操作失败！";
        } else if ("0".equals(jiguo)) {
          rm.setSuccess(true);
          info = "操作成功！";
        } else if ("1".equals(jiguo)) {
          rm.setSuccess(false);
          info = "没有数据源！";
        } else if ("-3".equals(jiguo)) {
          rm.setSuccess(false);
          info = "连接数据源失败！";
        } 
      } 
    } catch (Exception e) {
      rm.setSuccess(false);
      info = "操作失败！";
      e.printStackTrace();
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/toupload.do"})
  public String toupload(HttpServletRequest request, HttpServletResponse response) {
    return "tool/toupload";
  }
  
  @RequestMapping({"/insertInto.do"})
  @ResponseBody
  public void insertOrUpdate(HttpServletRequest request, HttpServletResponse response, Model model) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    boolean bl = this.modifyTableServiceImpl.insertOrUpdate(request);
    if (bl) {
      info = "操作成功！";
    } else {
      info = "操作失败：请检查文件及数据是否正确或已导入！";
    } 
    rm.setInfo(info);
    rm.setSuccess(bl);
    responseWriter(response, rm.toString());
    model.addAttribute("info", info);
  }
  
  @RequestMapping({"/getTableFileds.do"})
  public ModelAndView getTableFileds(HttpServletRequest request, HttpServletResponse respose) {
    String tableName = request.getParameter("tableName");
    return null;
  }
  
  @RequestMapping({"/getMenLeis.do"})
  public ModelAndView getMenLeis(HttpServletRequest request, HttpServletResponse respose) {
    List<GDangAnMenLei> list = null;
    list = this.gDangAnMenLeiService.fenLeiMaToMenLei("0");
    List<XiTongDaiMa> list_ = new ArrayList<>();
    if (list != null && list.size() > 0)
      for (int i = 0; i < list.size(); i++) {
        XiTongDaiMa xtdm = new XiTongDaiMa();
        GDangAnMenLei daml = list.get(i);
        xtdm.setZiFuDaiMa(String.valueOf(daml.getBiaoMing().toUpperCase()) + "_" + daml.getFenLeiHao());
        xtdm.setMingCheng(daml.getMingCheng());
        list_.add(xtdm);
      }  
    String jsonstr = Json.List2Json(list_);
    StringUtil.getOut(respose).write(jsonstr);
    return null;
  }
  
  @RequestMapping({"/Excelquery.do"})
  public String testExcelTool(HttpServletRequest request) throws Exception {
    String type = getRequest().getParameter("type");
    String table = getRequest().getParameter("table");
    String server = getRequest().getParameter("server");
    getRequest().setAttribute("table", request.getParameter("table"));
    getRequest().setAttribute("server", request.getParameter("server"));
    getRequest().setAttribute("menLei", request.getParameter("menLei"));
    if (type.endsWith("TS"))
      return "tool/ExcelTool/excelTool_list"; 
    if (type.equals("WS")) {
      getRequest().setAttribute("menLei", type);
      return "tool/ExcelTool/WSExcelTool_list";
    } 
    if (type.equals("SW")) {
      getRequest().setAttribute("menLei", type);
      return "tool/ExcelTool/SWExcelTool_list";
    } 
    if (type.equals("HYWS") || type.equals("SWGBWS") || type.equals("JSZCWS") || type.equals("GZWS") || type.equals("JCWS") || type.equals("TDCGWS")) {
      getRequest().setAttribute("menLei", type);
      return "tool/ExcelTool/ZYWSExcelTool_list";
    } 
    return "";
  }
  
  @RequestMapping({"/ExcelRequest.do"})
  public String request(HttpServletRequest request, HttpServletResponse response) {
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("menLei", menLei);
    return "tool/ExcelTool/importExcelTool";
  }
  
  @RequestMapping({"/WSExcelRequest.do"})
  public String WSExcelRequest(HttpServletRequest request, HttpServletResponse response) {
    String table = getRequest().getParameter("table");
    String server = getRequest().getParameter("server");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("table", request.getParameter("table"));
    getRequest().setAttribute("server", request.getParameter("server"));
    getRequest().setAttribute("menLei", request.getParameter("menLei"));
    return "tool/ExcelTool/WSImportExcelTool";
  }
  
  @RequestMapping({"/SWExcelRequest.do"})
  public String SWExcelRequest(HttpServletRequest request, HttpServletResponse response) {
    String table = getRequest().getParameter("table");
    String server = getRequest().getParameter("server");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("table", request.getParameter("table"));
    getRequest().setAttribute("server", request.getParameter("server"));
    getRequest().setAttribute("menLei", request.getParameter("menLei"));
    return "tool/ExcelTool/SWImportExcelTool";
  }
  
  @RequestMapping({"/ZYWSExcelRequest.do"})
  public String ZYWSExcelRequest(HttpServletRequest request, HttpServletResponse response) {
    String table = getRequest().getParameter("table");
    String server = getRequest().getParameter("server");
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("table", request.getParameter("table"));
    getRequest().setAttribute("server", request.getParameter("server"));
    getRequest().setAttribute("menLei", request.getParameter("menLei"));
    return "tool/ExcelTool/ZYImportExcelTool";
  }
  
  @RequestMapping({"/Checkquest.do"})
  public String Checkquest(HttpServletRequest request, HttpServletResponse response) {
    return "tool/ExcelTool/checkExcel";
  }
  
  @RequestMapping({"/importFileTool.do"})
  public String importFileTool(@RequestParam("extension") String extension, HttpServletRequest request, HttpServletResponse response) throws IOException {
    JSONObject message = new JSONObject();
    message.put("result", Boolean.valueOf(true));
    message.put("message", "导入成功");
    String menLei = request.getParameter("menLei");
    String excelname = request.getParameter("excelname");
    if (extension.contains("xls") || extension.contains("xlsx"))
      importExcel(request, response, extension, menLei, message, excelname); 
    write(response, message.toString());
    return null;
  }
  
  public void write(HttpServletResponse response, String json) throws IOException {
    response.setContentType("text/html;charset=utf-8");
    response.setCharacterEncoding("utf-8");
    PrintWriter out = response.getWriter();
    out.write(json);
    out.flush();
    out.close();
  }
  
  public void importExcel(HttpServletRequest request, HttpServletResponse response, String extension, String menLei, JSONObject message, String excelname) {
    try {
      String filepath = saveUploadFile(extension, request);
      FileInputStream fis = new FileInputStream(new File(filepath));
      Workbook workbook = null;
      Sheet sheet = null;
      workbook = WorkbookFactory.create(fis);
      sheet = workbook.getSheetAt(0);
      User user = getCurrentUser();
      int re = this.modifyTableServiceImpl.importExcelFileDangAn(sheet, user, menLei, excelname);
      if (re == -1) {
        message.put("result", Boolean.valueOf(false));
        message.put("message", "EXCEL表头不正确，请确认标准文件格式");
      } 
      if (re == -2) {
        message.put("result", Boolean.valueOf(false));
        message.put("message", "必填字段未输入，必填字段有[标题/归档部门名称/发文字号/有无原文]");
      } 
      if (re == -3) {
        message.put("result", Boolean.valueOf(false));
        message.put("message", "附件目录需上传");
      } 
      if (re == -4) {
        message.put("result", Boolean.valueOf(false));
        message.put("message", "数据重复");
      } 
      if (re == -5) {
        message.put("result", Boolean.valueOf(false));
        message.put("message", "图书所属门类不符");
      } 
      fis.close();
    } catch (Exception e) {
      e.printStackTrace();
      message.put("result", Boolean.valueOf(false));
      message.put("message", "系统处理异常请联系管理员");
    } 
  }
  
  private String saveUploadFile(String extension, HttpServletRequest request) throws IOException {
    String genFileName = null;
    String fullPath = null;
    CommStatic.deleteFile(FILE_UPLOAD_PATH);
    CommonsMultipartResolver multipartResolver = new CommonsMultipartResolver(request.getSession().getServletContext());
    if (multipartResolver.isMultipart(request)) {
      MultipartHttpServletRequest multiRequest = (MultipartHttpServletRequest)request;
      Iterator<String> iter = multiRequest.getFileNames();
      while (iter.hasNext()) {
        MultipartFile file = multiRequest.getFile(iter.next());
        if (file != null) {
          String myFileName = file.getOriginalFilename();
          if (myFileName.trim() != "") {
            genFileName = FileUtil.createRandomFileName("." + extension);
            fullPath = String.valueOf(FILE_UPLOAD_PATH) + "/" + genFileName;
            File localFile_ = new File(FILE_UPLOAD_PATH);
            if (!localFile_.exists())
              localFile_.mkdirs(); 
            File localFile = new File(fullPath);
            file.transferTo(localFile);
          } 
        } 
      } 
    } 
    return fullPath;
  }
  
  @RequestMapping({"/tuShugetAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String str1 = getRequest().getParameter(thisName);
      } 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      map.put("importExcelTool", "importExcelTool");
      StringBuffer sql = new StringBuffer("select biaoTi,fenLeiHao,leiBie,userDate,liJuanDanWeiMingCheng,zeRenZhe,cunFangWeiZhi,yeShu from  D_tuShuZiLiao  where 1=1");
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append(" 1=1 ");
      PagerVO pagevo = this.tuShuZiLiaoService.query_SQL(Integer.valueOf(start), Integer.valueOf(number), this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
        .replaceAll("FENLEIHAO", "fenLeiHao").replaceAll("USERDATE", "userDate").replaceAll("LEIBIE", "leiBie").replaceAll("ZERENZHE", "zeRenZhe")
        .replaceAll("CUNFANGWEIZHI", "cunFangWeiZhi").replaceAll("YESHU", "yeShu");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/importzsb.do"})
  @ResponseBody
  public String importzsb(HttpServletRequest request, HttpServletResponse response) {
    JSONObject jsonObject = new JSONObject();
    try {
      HttpServletRequest request_ = ((ServletRequestAttributes)RequestContextHolder.getRequestAttributes()).getRequest();
      User user = (User)request_.getSession().getAttribute("cpcns.sso.client.filter.user");
      String outPutType = request.getParameter("outPutType");
      String HBS = request.getParameter("HBS");
      boolean fugai = Boolean.parseBoolean(getRequest().getParameter("fugai"));
      String querySt = request.getParameter("querystr");
      String zuHeType = request.getParameter("zuHeType");
      String menLei = request.getParameter("menLei");
      boolean bl = this.modifyTableServiceImpl.tuShushuJuQianYi(HBS, fugai, menLei, user);
      if (bl) {
        jsonObject.put("result", Boolean.valueOf(true));
        jsonObject.put("message", "移交成功");
      } else {
        jsonObject.put("result", Boolean.valueOf(false));
        jsonObject.put("message", "移交失败");
      } 
      write(response, jsonObject.toString());
    } catch (Exception exception) {}
    return null;
  }
  
  @RequestMapping({"/wenShugetAll.do"})
  public String wenShugetAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        if ((("querystr".equals(thisName) ? 0 : 1) & ("zuHeType".equals(thisName) ? 0 : 1)) != 0)
          jsonObject.put(thisName, thisValue); 
      } 
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      sqlSearch.append(" 1=1 ");
      Map<String, String> tjmap = new HashMap<>();
      String xitongleixing = request.getParameter("xitongleixing");
      String menLei = request.getParameter("menLei");
      String tablename = request.getParameter("table");
      boolean isqx = true;
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !key.equals("nd") && !key.equals("xuHaoGuiZe") && !key.equals("buMenBianMa") && !key.equals("guanLianBiaoShi")) {
          if (key.contains("begin")) {
            key = key.substring(0, key.indexOf("begin"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (key.contains("end")) {
            key = key.substring(0, key.indexOf("end"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (!"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"qwjs".equals(key) && !"checkbox".equals(key) && !"zuHeType".equals(key)) {
            if (!key.contains("like")) {
              if (key.equals("gdType")) {
                if (StringUtils.isNotBlank(value) && "0".equals(value)) {
                  String hbs = jsonObject.getString("hangBiaoShi");
                  sqlWhere.append(" and hangBiaoShi not in ( select gl.GuanLianWenJianBiaoShi from D_WenJianGuanLian gl where gl.GuanLianBiaoShi='" + hbs + "') and hangBiaoShi !=" + hbs);
                } 
                continue;
              } 
              if (!"hangBiaoShi".equals(key)) {
                if (key.equals("zhuangTai")) {
                  if (value.equals("0")) {
                    sqlWhere.append(" and zhuangTai in (0) ");
                    continue;
                  } 
                  String str = value.replaceAll(",", "','");
                  sqlWhere.append(" and zhuangTai in ('").append(str).append("')");
                  continue;
                } 
                if (key.equals("guiDangLeiXing")) {
                  if (value.equals("2")) {
                    sqlWhere.append(" and guanLianBiaoShi =0");
                    continue;
                  } 
                  if (value.equals("1"))
                    sqlWhere.append(" and guanLianBiaoShi > 0"); 
                  continue;
                } 
                if (key.equals("menLei")) {
                  sqlWhere.append(" and ( menLei ='XWS' or menLei='WS' )");
                  continue;
                } 
                if (key.equals("gdzt")) {
                  if (value.equals("1")) {
                    sqlWhere.append(" and zhuangTai =").append(value);
                    continue;
                  } 
                  if (value.equals("2")) {
                    sqlWhere.append(" and zhuangTai in(").append("0,2)");
                    continue;
                  } 
                  if (value.equals("5"))
                    sqlWhere.append(" and zhuangTai =").append(value); 
                  continue;
                } 
                if (key.equals("guiDangNianDu")) {
                  String nd = getRequest().getParameter("nd");
                  if (StringUtils.isNotBlank(nd)) {
                    sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
                    continue;
                  } 
                  sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
                  continue;
                } 
                sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
              } 
              continue;
            } 
            key = key.substring(0, key.indexOf("like"));
            if ("biaoTi".equals(key)) {
              if (!"true".equals(getRequest().getParameter("qwjs")))
                sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'"); 
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
          } 
        } 
      } 
      String querySt = request.getParameter("querystr");
      String zuHeType = request.getParameter("zuHeType");
      if (StringUtils.isNotBlank(querySt)) {
        sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_new(querySt, zuHeType, getDataType()));
        sqlWhere.append(" and zhuangTai not in (3,4) ");
      } 
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      StringBuffer sql = new StringBuffer("select quanZongHao,hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng,kaiFangZhuangTai,shenHeZhuangTai,zeRenZhe,menLei from " + tablename + " where ");
      PagerVO pagevo = this.commonService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "dangHao asc"), this.table);
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao")
        .replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi").replaceAll("YESHU", "yeShu")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("WENHAO", "wenHao").replaceAll("LAIYUANMINGCHENG", "laiYuanMingCheng")
        .replaceAll("MIJI", "miJi").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("LIYUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
        .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("GUIDANGLEIXING", "guiDangLeiXing").replaceAll("YOUYUANWEN", "youYuanWen")
        .replaceAll("WENZHONG", "wenZhong").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("DAORUPICI", "daoRuPiCi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/shiWugetAll.do"})
  public String shiWugetAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    User user = getCurrentUser();
    StringBuffer sqlWhere = new StringBuffer(" and zhuangTai in (6) ");
    StringBuffer sqlSearch = new StringBuffer();
    sqlSearch.append(" 1=1 ");
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"leiXing".equals(key) && !key.equals("menLei") && !"zuHeType".equals(key) && !"nd".equals(key) && !"zhuangTai".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key) && !"checkbox".equals(key)) {
          if (!key.contains("like")) {
            if (key.equals("quanZongHao")) {
              if (StringUtils.isNotBlank(value))
                sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'"); 
              continue;
            } 
            if (key.equals("guiDangNianDu")) {
              String nd = getRequest().getParameter("nd");
              if (StringUtils.isNotBlank(nd)) {
                sqlWhere.append(" and ").append(key).append(" ").append(nd).append("'").append(value).append("'");
                continue;
              } 
              sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    String querySt = request.getParameter("querystr");
    String zuHeType = request.getParameter("zuHeType");
    if (StringUtils.isNotBlank(querySt)) {
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_new(querySt, zuHeType, getDataType()));
      sqlWhere.append(" and zhuangTai not in (3,4,6) ");
    } 
    if (sqlWhere.length() > 0)
      sqlSearch.append(sqlWhere.toString()); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    StringBuffer sql = new StringBuffer("select quanZongHao,hangBiaoShi,xuHao,biaoTi,dangHao,shouYuRiQi,zhuangTai,kuFangWeiZhi,zeRenZhe,menLei,geShu from D_shiWu where ");
    PagerVO pagevo = this.commonService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi asc"), this.table);
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao")
      .replaceAll("LEIBIE", "leiBie").replaceAll("ZERENZHE", "zeRenZhe").replaceAll("MENLEI", "menLei")
      .replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("KUFANGWEIZHI", "kuFangWeiZhi").replaceAll("GESHU", "geShu")
      .replaceAll("SHOUYURIQI", "shouYuRiQi");
    write(response, jsonString);
    return null;
  }
}
